Bug 613697

Summary: Review Request: mingw32-libogg - The Ogg bitstream file format library
Product: [Fedora] Fedora Reporter: Gerd Hoffmann <kraxel>
Component: Package ReviewAssignee: Richard W.M. Jones <rjones>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, mihai, notting, rjones
Target Milestone: ---Flags: rjones: fedora‑review+
tcallawa: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-14 12:03:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 454410    
Bug Blocks:    

Description Gerd Hoffmann 2010-07-12 11:29:09 EDT
Spec URL: http://kraxel.fedorapeople.org/review/mingw32-libogg/mingw32-libogg.spec
SRPM URL: http://kraxel.fedorapeople.org/review/mingw32-libogg/mingw32-libogg-1.1.4-1.fc14.noarch.rpm
Description: 
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.
Comment 1 Richard W.M. Jones 2010-07-12 12:16:03 EDT
That file is a binary RPM, not the SRPM.  Nevertheless I reconstructed
the SRPM from the spec file.

rpmlint output:


mingw32-libogg.src: W: spelling-error Summary(en_US) Ogg -> Egg, Org, Gog
mingw32-libogg.src: W: spelling-error Summary(en_US) bitstream -> bit stream, bit-stream, midstream
mingw32-libogg.src: W: spelling-error %description -l en_US Ogg -> Egg, Org, Gog
mingw32-libogg.src: W: spelling-error %description -l en_US bitstream -> bit stream, bit-stream, midstream
mingw32-libogg.src: W: spelling-error %description -l en_US bitstreams -> bit streams, bit-streams, bloodstreams

Bogus as usual.

mingw32-libogg.src: W: no-cleaning-of-buildroot %install
mingw32-libogg.src: W: no-cleaning-of-buildroot %clean
mingw32-libogg.src: W: no-buildroot-tag
mingw32-libogg.src: W: no-%clean-section

I think these are all no longer required.

mingw32-libogg.noarch: W: spelling-error Summary(en_US) Ogg -> Egg, Org, Gog
mingw32-libogg.noarch: W: spelling-error Summary(en_US) bitstream -> bit stream, bit-stream, midstream
mingw32-libogg.noarch: W: spelling-error %description -l en_US Ogg -> Egg, Org, Gog
mingw32-libogg.noarch: W: spelling-error %description -l en_US bitstream -> bit stream, bit-stream, midstream
mingw32-libogg.noarch: W: spelling-error %description -l en_US bitstreams -> bit streams, bit-streams, bloodstreams

Bogus as above.

2 packages and 0 specfiles checked; 0 errors, 14 warnings.
Comment 2 Richard W.M. Jones 2010-07-12 12:22:10 EDT
+ rpmlint output
+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
  BSD, and the native package is already in Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
+ package successfully builds on at least one architecture
  tried it on x86-64, cross-compiled to i386
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
- no duplicate files in %files

  %{_mingw32_docdir}/libogg-%{version} is not needed, or if
  you want to include it, it must be marked %doc

+ %defattr line
n/a %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
+ header files should be in -devel
  this rule is not applicable for mingw32-* packages
+ static libraries should be in -static
  this rule is not applicable for mingw32-* packages
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
+ packages should not contain libtool .la files
  this rule is not applicable for mingw32-* packages
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8
+ use %global instead of %define

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
- reviewer should build the package in mock
- the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

Please fix the docdir thing mentioned above.
Comment 3 Gerd Hoffmann 2010-07-13 05:35:45 EDT
Oops, picked wrong package when copying the link.  Actually both src and binary package are there.  Uploaded new revision 2 packages and updates spec file to the same location:

http://kraxel.fedorapeople.org/review/mingw32-libogg/

Documentation is removed there as it is redundant with the native package.
Comment 4 Richard W.M. Jones 2010-07-13 06:41:23 EDT
(In reply to comment #3)
> Oops, picked wrong package when copying the link.  Actually both src and binary
> package are there.  Uploaded new revision 2 packages and updates spec file to
> the same location:
> 
> http://kraxel.fedorapeople.org/review/mingw32-libogg/
> 
> Documentation is removed there as it is redundant with the native package.    

Agreed.

The updated package fixes the only issue I found in the
main review.

This package is APPROVED by rjones.
Comment 5 Gerd Hoffmann 2010-07-13 07:02:57 EDT
New Package CVS Request
=======================
Package Name: mingw32-libogg
Short Description: The Ogg bitstream file format library
Owners: kraxel
Branches: 
InitialCC:
Comment 6 Tom "spot" Callaway 2010-07-13 11:41:29 EDT
CVS done (by process-cvs-requests.py).
Comment 7 Gerd Hoffmann 2010-07-14 12:03:59 EDT
rawhide builds are done.
Comment 8 Peter Lemenkov 2010-10-25 07:15:08 EDT
*** Bug 529548 has been marked as a duplicate of this bug. ***